64-bit version?

2008-12-01
2013-05-28
  • Hi,

    I tried JPod under Ubuntu 8.10 64-bit and JPod causes the JVM to die with the following message:

    #
    # An unexpected error has been detected by Java Runtime Environment:
    #
    #  SIGSEGV (0xb) at pc=0x00007fda402076b0, pid=28150, tid=1082014032
    #
    # Java VM: Java HotSpot(TM) 64-Bit Server VM (11.0-b15 mixed mode linux-amd64)
    # Problematic frame:
    # C  [libc.so.6+0x826b0]  strlen+0x30

    When I use a 32-bit JVM this doesn't happen. Is JPod perhaps using 32-bit only native code?

    /Niklas

     
    • I just upgraded JNA to 3.0.9 and the problem remains. I'll create a bug report with the full JVM log file.

       
    • Elfi Heck
      Elfi Heck
      2008-12-01

      Well, sort of. We have wrapper code for native freetype. The wrapper code as it is released currently works for 32-bit only. 64-bit code is in a testing phase right now. I can send it to you, if you want to help test.

       
    • Elfi Heck
      Elfi Heck
      2008-12-01

      Ahem ...
      Does anybody know how to move the bug report to "Feature Requests" in the sourceforge tracker?